package com.xinelu.manage.domain.dialtime;

import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 医院外呼时间起止对象 dial_time
 *
 * @author zh
 * @date 2025-04-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "医院外呼时间起止对象", description = "dial_time")
public class DialTime extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 呼叫开始时间
     */
    @ApiModelProperty(value = "呼叫开始时间")
    private String dialStartTime;

    /**
     * 呼叫结束时间
     */
    @ApiModelProperty(value = "呼叫结束时间")
    private String dialEndTime;

    /**
     * 所属机构id
     */
    @ApiModelProperty(value = "所属机构id")
    private Long hospitalAgencyId;

    /**
     * 所属机构名称
     */
    @ApiModelProperty(value = "所属机构名称")
    private String hospitalAgencyName;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dialStartTime", getDialStartTime())
                .append("dialEndTime", getDialEndTime())
                .append("hospitalAgencyId", getHospitalAgencyId())
                .append("hospitalAgencyName", getHospitalAgencyName())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
